'언더플로우'에 해당되는 글 3건

  1. 2014.02.05 Adobe Flash Player 신규 취약점 보안 업데이트
  2. 2013.05.20 Adobe Reader/Acrobat 보안 업데이트
  3. 2010.08.12 입력값 유효성 검사 문자들 (1)
2014.02.05 19:47

Adobe Flash Player 신규 취약점 보안 업데이트



개요

  • Adobe社는 Adobe Flash Player에 영향을 주는 취약점을 해결한 보안 업데이트를 발표[1]
  • 공격자는 취약점을 이용하여 잠재적으로 시스템의 제어권한을 획득할 수 있음

 

설명

  • Adobe社는 Adobe Flash Player의 취약점 1개에 대한 보안 업데이트를 발표[1]
    • 임의코드 실행으로 이어질 수 있는 정수형 언더플로우 취약점 (CVE-2014-0497)

 

해당 시스템

  • 영향 받는 소프트웨어
    • Adobe Flash Player(윈도우즈 및 맥) 12.0.0.43 및 이전 버전
    • Adobe Flash Player(리눅스) 11.2.202.335 및 이전 버전
    • Adobe Flash Player(크롬) 12.0.0.41 및 이전 버전
    • Adobe Flash Player(윈도우즈8.0 버전의 인터넷 익스플로러10) 12.0.0.38 및 이전 버전
    • Adobe Flash Player(윈도우즈8.1 버전의 인터넷 익스플로러11) 12.0.0.38 및 이전 버전

 

해결 방안

  • 윈도우, 맥, 리눅스 환경의 Adobe Flash Player 사용자
    • Adobe Flash Player Download Center(http://get.adobe.com/flashplayer/)에 방문하여 최신 버전을 설치하거나, 자동 업데이트를 이용하여 업그레이드
  • 구글 크롬 브라우저 사용자
    • 크롬 브라우저 자동 업데이트 적용
  • 윈도우8.0 버전에서 동작하는 인터넷 익스플로러10 버전 사용자
    • 윈도우 자동 업데이트 적용
  • 윈도우8.1 버전에서 동작하는 인터넷 익스플로러11 버전 사용자
    • 윈도우 자동 업데이트 적용

 

용어 정리

  • Adobe Flash Player : Adobe社에서 개발한 소프트웨어로 웹상에서 멀티미디어 컨텐츠 및응용 프로그램을 볼 수 있는 프로그램

 

기타 문의사항

  • 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

 

참고사이트

[1] http://helpx.adobe.com/security/products/flash-player/apsb14-04.html


Trackback 0 Comment 0
2013.05.20 18:53

Adobe Reader/Acrobat 보안 업데이트

□ 개요
   o Adobe社는 Adobe Reader와 Acrobat에 영향을 주는 취약점을 해결한 보안 업데이트를 발표[1]
   o 낮은 버전의 Adobe Reader/Acrobat 사용자는 악성코드 감염에 취약할 수 있으므로 해결방안에 따라 
      최신버전으로 업데이트 권고



□ 설명
  o Adobe社는 Adobe Reader/Acrobat의 취약점 27개에 대한 보안 업데이트를 발표[1]
   - 임의코드 실행으로 이어질 수 있는 메모리 손상 취약점 (CVE-2013-2718, CVE-2013-2719, CVE-2013-2720, 
     CVE-2013-2721, CVE-2013-2722, CVE-2013-2723, CVE-2013-2725, CVE-2013-2726, CVE-2013-2731, 
     CVE-2013-2732, CVE-2013-2734, CVE-2013-2735, CVE-2013-2736, CVE-2013-3337, CVE-2013-3338, 
     CVE-2013-3339, CVE-2013-3340, CVE-2013-3341)
   - 임의코드 실행으로 이어질 수 있는 정수형 언더플로우 취약점(CVE-2013-2727, CVE-2013-2549)
   - 샌드박스 보호기능 우회로 이어질 수 있는 ‘use-after-free’ 취약점(CVE-2013-2550)
   - 정보 유출로 이어질 수 있는 자바 스크립트 API 취약점 (CVE-2013-2737)
   - 임의코드 실행으로 이어질 수 있는 스택오버플로우 취약점(CVE-2013-2724)
   - 임의코드 실행으로 이어질 수 있는 버퍼오버플로우 취약점(CVE-2013-2730, CVE-2013-2733)
   - 임의코드 실행으로 이어질 수 있는 정수형 오버플로우 취약점(CVE-2013-2727, CVE-2013-2729)
   - 운영체제에 의해 블랙리스트 처리된 도메인을 Reader에서 처리하는데 발생한 취약점(CVE-2013-3342)



□ 해당 시스템
   o 영향 받는 소프트웨어

프로그램동작환경영향받는 버전
Adobe Reader XI윈도우즈 및 Mac11.0.02 및 이전 버전
Adobe Reader X윈도우즈 및 Mac10.1.6 및 이전 버전
Adobe Reader 9윈도우즈, Mac 및 리눅스9.5.4 및 이전 버전
Adobe Acrobat XI윈도우즈 및 Mac11.0.02 및 이전 버전
Adobe Acrobat X윈도우즈 및 Mac10.1.6 및 이전 버전
Adobe Acrobat 9윈도우즈 및 Mac9.5.4 및 이전버전

 

 

□ 해결방안
 o Adobe Reader 사용자
   - Adobe Download Center(http://get.adobe.com/kr/reader/otherversions/)를 방문하여 
     최신 버전을 설치하거나 [메뉴]→[도움말]→[업데이트확인]을 이용하여 업그레이드
 o Adobe Acrobat 사용자
   - 아래의 Adobe Download Center를 방문하여 최신 버전을 설치하거나 [메뉴]→[도움말]→[업데이트확인]을
      이용하여 업그레이드  

윈도우즈 환경의 Adobe Acrobat

http://www.adobe.com/support/downloads/product.jsp?product=1&platform=Windows

맥킨토시 환경의 Adobe Acrobat Pro

http://www.adobe.com/support/downloads/product.jsp?product=1&platform=Macintosh



□ 용어 정리
 o PDF(Portable Document Format) : Adobe社가 개발한 다양한 플랫폼을 지원하는 전자문서 파일 형식
 o Adobe Acrobat : PDF 문서 편집/제작을 지원하는 상용 프로그램
 o Adobe Reader : PDF 문서의 편집 기능은 없이 보기/인쇄만 할 수 있는 무료 프로그램
 o Use After Free 취약점 : 소프트웨어 구현 시 동적 혹은 정적으로 할당된 메모리를 해제했음에도 불구하고 
   이를 계속 참조(사용)하여 발생하는 취약점



□ 기타 문의사항
   o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118



[참고사이트]
[1] http://www.adobe.com/support/security/bulletins/apsb13-15.html


Trackback 1 Comment 0
2010.08.12 14:43

입력값 유효성 검사 문자들

개발 진행시 부주의로 인해 불필요한 문자를 허용하고 있다. 문자와 응용 프로그램에 전달되는 의미를 다룬다.

문자 세부사항
NULL or null 종종 웹 응용 프로그램으로 흥미있는 오류 메시지를 볼 수 있다. PL/SQL 경우 확인할 수 있다.
( ', ";, <!) SQL, XPath 그리고 XML Injection 테스트에 사용되는 SQL 문자열 또는 쿼리에 사용된다.
(-, =, +, ") 고급 SQL Injection 쿼리에 사용된다.
( ', &,! , |, <,>) 명령 실행 취약성을 발견하는 데 사용된다.
"><script>alert(1)</script> 기본적인 Cross-Site Scripting 점검에 사용된다.
{%0d , %0a} Carriage Return Line Feed (새줄); 모든 특수 기능.
{%7f , %ff} 바이트 길이 오버플로우, 최대 7-8 비트 값.
{-1, other} 정수 및 언더플로우 취약점.
Ax1024 + 오버플로우 취약점.
{%n , %x , %s} 포맷 스트링 취약점.
.. / 디렉토리 탐색 취약점.
(%, _, *) 와일드카드 문자는 가끔 DoS 문제 또는 정보의 공개를 표시할 수 있다.


이러한 문자는 다양한 방법(즉, 유니코드)으로 표현할 수 있다. 이러한 문자 집합에 입력을 제한할 때 이해하는 것이 중요합니다.


Trackback 0 Comment 1
  1. 2010.08.12 14:44 address edit & del reply

    비밀댓글입니다